Subject: Re: FVWM: letting fvwm do something in the background

From: Klaus Umbach <[email-masked]>
Date: Sat, 10 Jan 2004 18:56:10 +0100

On Sa, Jan 10, 2004 at 18:01:31 +0100, Marcus Lundblad wrote:
> 
> 
> On Sat, 10 Jan 2004, Klaus Umbach wrote:
> 
> > On Sa, Jan 10, 2004 at 11:11:26 -0500, Dan Espen wrote:
> > > Klaus Umbach <[email-masked]> writes:
> > > > Hello list,
> > > > is it possible, to let fvwm do something in the background?
> > > > With the help of Tavis Ormandy, I have a nice function now, to have
> > > > a thumbnail of an iconified window for the icon. It really looks
> > > > beautiful, but it takes some time, to iconify a fullscreen-window (2-3
> > > > secs!).
> > > > While fvwm is working on that thumbnail-function, I cannot do anything,
> > > > is it possible, put it in the background, so I don't have to wait
> > > > anymore, until I can work?
> > > 
> > > Search the man page for "Schedule".
> > 
> > No, that doesn't help, I still cannot do anything while this function is
> > processed.
> > 
> > DestroyFunc Thumbnail
> > AddToFunc Thumbnail
> > + I Raise
> > + I PipeRead "xwd -silent -id $[w.id] >
> > $[HOME]/.fvwm/icon.tmp.$[w.id].xwd"
> > + I Iconify
> > + I Schedule 1000 $[w.id] PipeRead "nice -19 convert -resize 64x54 -frame 1x1 -mattecolor black -quality 0 xwd:$[HOME]/.fvwm/icon.tmp.$[w.id].xwd png:$[HOME]/.fvwm/icon.tmp.$[w.id].png && echo WindowStyle IconOverride, UseIcons, Icon $[HOME]/.fvwm/icon.tmp.$[w.id].png,StaysOnBottom || echo Nop"
> 
> Try replacing "PipeRead" with "Exec".

I already tried that that, for some reason it does not work.
I tried
+ I Exec exec xwd -silent -id $[w.id] > $[HOME]/.fvwm/icon.tmp.$[w.id].xwd
and
+ I Exec exec "xwd -silent -id $[w.id] > $[HOME]/.fvwm/icon.tmp.$[w.id].xwd"

regards
	Klaus

> //Marcus
> > 
> > 
> > > 
> > > -- 
> > > Dan Espen                           E-mail: [email-masked]
> > > --
> > > Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> > > To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> > > message to [email-masked].
> > > To report problems, send mail to [email-masked].
> > > 
> > --
> > 5) People say Linux is ugly. How does that make you feel?
> > Torvalds: They'll be the first against the wall when the revolution comes.
> > 	  Let's see just how ugly they think it is when they have a few
> > 	  bulletholes in them.
> > 
> >  
> > --
> > Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> > To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> > message to [email-masked].
> > To report problems, send mail to [email-masked].
> > 
> 
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
> 
--
5) People say Linux is ugly. How does that make you feel?
Torvalds: They'll be the first against the wall when the revolution comes.
	  Let's see just how ugly they think it is when they have a few
	  bulletholes in them.

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].